<?php

// Script defining constants and variables used in the comics system
require 'variables.php';
// Script containing global functions used by all scripts
require 'functions.php';
// Script containing the "require_login() function"
// This can be changed to suit local implementation needs but must
// be named "require_login() and take no parameters
require 'authfunctions.php';

if ( php_sapi_name() != "cli" ) {
    // Start the session
    session_name(SESSIONCOMICS);
    session_start();

    // This session variable is TRUE when successfully logged in
    // If set to true, and using default authentication, no login will be required
    if ( !isset($_SESSION['validated']) ) {
    $_SESSION['validated'] = false;
    }

    // This session variable is set to the current browsing folder.
    // It is relative to the COMICSDIR constant defined in variables.php
    if ( !isset($_SESSION['compath']) ) {
    $_SESSION['compath'] = '/';
    }
    if ( $_SESSION['compath'] == "" ) $_SESSION['compath'] = "/";

    // This session variable is set to the current comic in Base64
    if ( !isset($_SESSION['comfile']) ) {
    $_SESSION['comfile'] = "";
    }

    // Initialize the hash session variable used for SSO
    // Set the hash to the passed in value if it exists
    if ( !isset($_SESSION['hash']) ) {
    $_SESSION['hash'] = "";
    }
    if ( isset($_REQUEST['hash']) ) {
    $_SESSION['hash'] = $_REQUEST['hash'];
    }

    // Sorting for folders.
    // Valid values (from constants): SORTBYNAME, SORTBYDATE
    if ( !isset($_SESSION['sortorder']) ) {
    $_SESSION['sortorder'] = SORTBYDATE;
    }
}

// Make our PDO database connection which will be used in all scripts
$globaldbh = new PDO("mysql:host=" . DBHOST . ";dbname=" . DBNAME, DBUSER, DBPASS);

?>
